SDL_HasARMSIMD(3)

NAME
SDL_HasARMSIMD - Determine whether the CPU has ARM SIMD (ARMv6) features.

HEADER FILE
Defined in SDL3/SDL_cpuinfo.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_HasARMSIMD(void);

DESCRIPTION
This is different from ARM NEON, which is a different instruction set.

This always returns false on CPUs that aren't using ARM instruction sets.

RETURN VALUE
Returns true if the CPU has ARM SIMD features or false if not.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_HasNEON(3)